Introduction
------------
A field formatter rendering a list of files with the ViewerJS library.

Requirements
------------
* Drupal core's File module
* ViewerJS (https://viewerjs.org/getit) installed in `libraries/viewerjs`

Extract the contents of the ViewerJS distribution archive and
copy the ViewerJS folder from the archive (and its contents) to
libraries/viewerjs . The path to the ViewerJS JS, CSS and assets
files should be `libraries/viewerjs/ViewerJS` , case-sensitive.

Installation
------------
Install as you would normally install a contributed drupal module. See:
https://drupal.org/documentation/install/modules-themes/modules-8

Optionally, the ViewerJS library can be installed using Composer:

1. Run: `composer require oomphinc/composer-installers-extender`

2. Add the following `"assets"` to your project `composer.json`
in the `"repositories"` section.

```
        "assets": {
            "type": "composer",
            "url": "https://asset-packagist.org"
        },
```

3. Add `"bower-asset"` and `"npm-asset"` to the
`"installer-types"` and `"installer-paths"`
in your project `composer.json`, in the `"extra"` section.

```
        "installer-types": [
            "bower-asset",
            "npm-asset"
        ],

        "installer-paths": {
            "web/libraries/{$name}": [
                "type:bower-asset",
                "type:npm-asset"
            ]
        }
```

4. Run: `composer require bower-asset/viewerjs`

Configuration
-------------
Create a Drupal File field on a content type. Allow ODF
format document files (.odt, .ods, .odp) or PDF files
(.pdf) to be uploaded to this File field.

On the "Manage Display" tab for the content type, select
"List of files - ViewerJS" as the display format for the
created File field.

Any document files uploaded to the created File field
will be displayed using ViewerJS.

This field formatter includes options to provide a download
link for the original File.
